import express from "express";
import passport from "passport";
const router = express.Router();

import * as calendarController from "../controllers/calendarController";
import logger from "../logger/logger";

router.get(
  "/auth/google",
  passport.authenticate("google", {
    accessType: "offline",
    //session: false,
    scope: [
      "https://www.googleapis.com/auth/calendar.app.created",
      "https://www.googleapis.com/auth/calendar.events.freebusy",
      "https://www.googleapis.com/auth/userinfo.profile",
      "profile",
      //"openid",
    ],
  })
);

router.get(
  "/auth/google/callback",
  passport.authenticate("google", {
    failureRedirect:
      /* "https://customerdashboard.ex.umbach.dev/store/calendar/failed" */ "/login",
  }),
  function (req, res) {
    // Successful authentication, redirect home.
    console.log("req.user", req.user);
    logger.info("req.user", req.user);
    res.redirect(
      /* "https://customerdashboard.ex.umbach.dev/store/calendar/finish" */ "/"
    );
  }
);

export default router;
